Find duplicate files

AcuteFinder helps you to find duplicate files on your system and delete them. Thus, you can free up a lot of disk space taken by the extra copies and reduce clutter on your disks.

AcuteFinder does not only take into account items like file name, size or timestamp, but reads through possible duplicates and calculates their checksums. This way, it is guaranteed that the files are really identical, and you can delete the extra copies with full confidence.

AcuteFinder can find files that have different names, like "my.doc" and "Copy of my.doc". Basically, if files are of the same size and have the same checksum, they are considered identical. AcuteFinder uses by default CRC32, a 32-bit checksum, but you can choose to use MD5 hash (128-bit) as a final step in file comparison for even more accuracy.

AcuteFinder can help you to reclaim disk space wasted by all the extra copies of big files. It will also help you to reduce clutter on your disks, and streamline backups and virus scanning, resulting in less time and media for these activities.


AcuteFinder's features

AcuteFinder has many features and compares nicely to other programs in its category.

These are the most important features. Just follow the links for more info on each one:

· Easy to use interface
· Search Wizard for a easy start
· Fast and reliable search engine, especially when working with huge files
· Safe comparison of files using CRC32 and MD5 checksums
· Supports all drive types (hard disks, diskettes, CD-ROM, DVD, Network, memory-disk)
· Option to search in archives (e.g. ZIP-files)
· Many top-level folders can be specified for each search, even across drives
· You can enter search folders in UNC format (like \\SERVER\SHARE\Folder)
· Multiple file masks can be specified, e.g. to find all kind of image files
· Selection of file groups to search for by quick-pick of predefined file extensions
· Option to protect files found in specific search folders from deletion
· A tool is included to find empty files and folders
· Many options to operate on list of found files. You can delete them, move, view etc.
· Built-in file viewer allows quick view of selected files (images, text, rft, binary)
· Option to remove folders that become empty after delete/move
· You can sort the list in various ways
· You can export the list to delimited text, HTML, XML or create batch files
· You can print the list, either directly to printer or as formatted web page via browser
· AcuteFinder has many settings, to suit your taste
· AcuteFinder is easy and straightforward to use
· Includes a tool to calculate or verify checksum for any file

For detailed info on the latest additions, modifications and fixes, see the revision history at: www.acutefinder.com/history.htm

Give AcuteFinder a try, and you will be amazed by all those unnecessary duplicate files that reside on your computer!


Duplicates defined

What exactly, are duplicate files? Simply put, this phrase refers to identical files that exist in 2 or more copies on the disk. Since the files are the same, only the user can determine which copy is the "original" that should be retained when deleting some or all of the extra copies.

For example, if two instances of a file are found, one of them is the original, the other a copy. When either of them is deleted, then only one instance remains (and it's therefore removed from the list of duplicates in AcuteFinder).

Even though this definition is disputable, then the use of "duplicate file finder" and "duplicate files" has become a defacto standard on the Internet. In this user manual, we will therefore use this word, along with synonyms like "identical", "extra copies", and "multiple instances".

Finally, the word duplicate is defined in the following way, according to the Free Dictionary:

du·pli·cate

adj.

1. Identically copied from an original.

2. Existing or growing in two corresponding parts; double.

3. Denoting a manner of play in cards in which partnerships or teams play the same deals and compare scores at the end: duplicate bridge.

n.

1. An identical copy; a facsimile.

2. One that corresponds exactly to another, especially an original.

3. Games A card game in which partnerships or teams play the same deals and compare scores at the end.


Why so many duplicates?

It's amazing how many extra copies of files can be found on the average computer. A real mess actually! The reasons are many; often you make a backup copy, just in case, before making serious changes, but forget to delete it afterwards. Sometimes the same file is downloaded or installed more than once, or extra copies created systematically, e.g. when sorting digital photographs by copying and renaming of files. And, sometimes files are accidentally copied to other locations, and remain there for a long time, i.e. until you find them with AcuteFinder!

On the average workstation there are thousands or even tens of thousands of files. Understandably, it is quite a chore to keep them all organized. With AcuteFinder you can find unneeded extra copies of files, which can usually be safely removed. This way you can reclaim the disk space they occupy and use it for more important data. It also reduces the time it takes to run backups and virus scanning, and system maintenance in general.

If your system contains thousands of duplicates, then you should work on smaller sets of them at a time, e.g. by limiting your search to specific folders, file types, or file sizes. This way, the list will be more manageable and easier to work on.


What are users saying?

The steadily increasing number of happy users of AcuteFinder, testifies to the quality of this software. Here are some testimonials from our users:

"I really enjoy your product as it greatly speeds up my deleting duplicate picture files saving a lot of space when ready to back up to CD or DVD's ...

The speed of which your interface works is great and that's what I really like about it ... Thanks for a great product. "

— Mike Harvey

"Thanks for an excellent bit of software that is very useful for my laptop."

— John Fishley

"Every time I run it, it is almost like getting another free hard drive. It has definitely been the best $14 I have spent on software in the last 20 years and it is easily worth $14 dollars a year to keep it — although, for the most part, I find it hard to believe how you can improve on it any further.

I have given several copies out as gifts and plan to give more this year because I can't think of a better, more useful, reasonably priced gift that keeps on giving, and giving"

— Nick Veloz

"I initially tried your product just using the trial key, thinking that I might only need to use it for a couple of weeks, but it is such a fantastic product that it was definitely worth purchasing. Thanks for a great product!"

— Brett Jensen

"And the registration process... that is so cool! No one else has such a simple and elegant way of entering the code."

— John LaGourgue, MD

"I'll tell you one thing....that is the best $14 I ever spent. I had 200GB SQL drive full of repeated databases...this program helped me beyond belief."

— Francis Kirvin

"I find your software is stable, fast and reliable ... I find the total package to be excellent."

— Terry Cashin

" Thanks very much for a great program! I really believe in this program, it's one of my top 5 most useful utilities. I could tell you the story about how one time it found 1451 duplicates and literally did save days off a project I was working on.

And in case you think I'm exaggerating, I test about 15-25 programs a month, and can and do only say "cool" once or twice a month, so I'm not exaggerating at all! It's almost like a high finding a really good program-that actually meets expectations or even exceeds them!"

— Leonora (Lee) Johns

"After using this program for some time, I have come to the conclusion that the only thing better than this program would have been to have it several years ago! I like it more and more every time I use it ... Thanks again for a wonderful program."

— Nick Veloz

"I think the product is great and has already helped me clear out lots of things which I didn't know were cluttering up my PC."

— Athino Hourbakis

"Thanks for your help on this matter. Your help convinced me to purchase the product with 1 year of updates. I have succesully cleared 6 memory cards, and discovered files that had not been copied to CD/DVD or Hard Disk.

I had looked at many others and found them clunky / slow / complicated. I am sure I will discover other great features - but importantly I got the result I needed after 10 minutes of use! A really great product - keep up the good work. "

— Owen Colbert

"Congratulations, you have by far the best duplicate finder. I have just finished evaluating about 20 similar packages, and yours really stands out. No one else comes close.

Key strong points: searches within zips; can select mix of folders; can use output for further processing. "

— Basil Cinnamon

"I have been searching for almost a year for a duplicate file manager. Every one I have found does at least one thing well. Your AcuteFinder does everything well. I had despaired of ever working my way through my badly backed-up external 120-gig disk. Now everything is neat and accessible.

The documentation accompanying the software is among the clearest and most user-friendly I've ever seen. The website, with its wealth of information, is also a treasure. I'd recommend AcuteFinder to anyone who needs to keep his or her files in order."

— Robert Dalvean

"A software product that is an incredible value ... I could go on and on! Do yourself a favor ... don't hesitate in getting AcuteFinder!"

— Hugh St.Clair

"Thanks, many times over for a well thought out and worked out program ... sheer pleasure to use."

— Jerold Steinhour

"... thank you for your excellent product AcuteFinder ... I am so pleased and impressed with it."

Full testimonial

— Fernando Garcia

"This is the most thorough and fastest duplicate finder I could find - and I have tried quite a few!"

Full testimonial

— Martin Coetsee

"This is a great little utility that does just what I want and (mostly) just the way I want it to."

— Wayne King

"I am an ordinary, old (77+) computer user who found your program fun and helpful ... First of all I loved the simplicity built in."

— Keith Williams

"It's a great program and ... it works so much better than all the other programs that I have tried"

— Thomas Lotz

"I think I have found the ultimate file duplicate search tool, finally, great product!"

— Ketil Danielsen

"Thank you for creating such a great product, and for adapting and enhancing it, in just days, in response to my particular needs. ... I highly recommend AcuteFinder (and its support team) to anyone trying to organize and clean up media filled with unwanted duplicate files, particularly in situations like mine where terabytes of data in video and image files need to be examined quickly, efficiently, and reliably." Click for full testimonial

— David Durlach, TechnoFrolics

"Thank you for such a great piece of software. Your software did what it said it would do and saved me space on our server. We have deleted over 1 gig of files that had been duplicated or misfiled i.e. users drag and dropping files into wrong folders etc. I have only just started working through the Volumes on our network and expect to save even more space."

— Derek Evans, Flexlink

"I like your product. The only reason I went with the 30 day option initially was that I wanted to be sure your product would work for me. I am convinced."

— John Foley


What's new?

This version of AcuteFinder, version 2.0, includes various new features and modifications when compared to older versions. The most important are marked in bold:

New features:

· Built-in file viewer for quick display of various file types (images, rtf, text files, archive-file listings)
· Option to skip by file mask(s)
· Option for wildcards in folder names to skip
· Export list to XML document
· Selection of fields to export
· Printing of list as webpage via browser
· Optional warning when closing AcuteFinder
· Link to recommended tools and utilities for disk management

Modifications:

· New progress bars and animations
· Free demo limit increased to delete/move of up to 1 Mb files
· Longer upgrade protection provided (1, 2, or 5 years)
· Better scaling of dialogs and user interface on 120 DPI screen setting

Fixes:

· Modifications for better looks and performance when running on Windows Vista
· Reading of licence key from trial-key / registration messages improved
· Closing of Search progress window (which sometimes just refused to disappear!)

The complete revision history is available on our website, at www.acutefinder.com/history.htm


Latest version

To check for the latest version of AcuteFinder, use the menu option Help - Check for updates which will also check if your upgrade protection is still valid for that version. You can also check it manually, by visiting our web site at www.acutefinder.com/download and compare it with the information displayed in the Help - About dialog.

If you want to see the latest developments, then a "yet to be fully tested" beta version is available for you to experiment with. Go to www.acutefinder.com/beta to see what you can expect from the next version of AcuteFinder. We really appreciate your feedback, both to the regular release and the beta-version, and we often reward those users that are willing to take AcuteFinder for a real test-drive, with free license key and a long-term upgrade protection.

The beta-version is in most cases fully functional and relatively well tested. Often, it has various improvements over the regular release, but some supporting files, like help-files, may be missing or incomplete. Also, since the beta-version is usually updated frequently, you should check for the latest version more often.

History of new features, modifications, fixes and changes to the website, for both versions, is available at www.acutefinder.com/history.htm

A printable version of this user manual is available on the web at www.acutefinder.com/help/acutefinder_manual.pdf. To view it you need Acrobat reader from Adobe or a compatible PDF-viewer.


Installation

To install the program, use the setup file AcuteFinder_setup.exe. Simply specify where you want to install the program, and answer few other questions. It will then install the program and associated files, add few settings to the system registry, and create the shortcuts you prefer.

You can also manually copy the program between computers or run it from a central location on a network server. You will basically need only 2 files, AcuteFinder.exe and AcuteFinder.chm and then manually create shortcuts as appropriate. The program's settings are stored in the system registry under the key HKEY_CURRENT_USER\Software\Hugmot\AcuteFinder. The Getting started hints, Quick-pick filegroups and Tips of the day, can be customized by editing the text files AcuteFinder_hints.txt, AcuteFinder_filegroups.txt, and AcuteFinder_tips.txt respectively.

If you have already registered the program, you will either have to re-enter the user name and license key, or move the registry settings between computers.


About AcuteFinder

Initially, we created AcuteFinder as an in-house tool for disk management. But, after learning how useful it really was, we decided to make it a commercial product for others to enjoy.

After some brainstorming sessions, the name AcuteFinder was decided upon. Acute, as you already know, means sharp, decisive, important, crucial, perceptive, discerning, intense and pressing, and we think it describes the program in many ways.

The image on the About dialog shows multiple paper boys along with their shadows, to give the impression that AcuteFinder will pinpoint all multiple files on your computer.


End User Licence Agreement

End User License Agreement

AcuteFinder is distributed as shareware, meaning you may freely give copies of it to friends and colleagues. If not registered, it will operate in demo-mode with some size limits, but it is not time limited in any way for personal use. Commercial users, on the other hand, must register after a 15 day evaluating period.

Please deliver the installation file, AcuteFinder_setup.exe, since it contains the program and all associated files. You can also download the latest version from our website www.acutefinder.com.

By using the program, you agree upon the following, no-nonsense End User License Agreement:

DISCLAIMER - AGREEMENT

Users of AcuteFinder must accept this disclaimer of warranty:

"AcuteFinder supplied as is. The author disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The author assumes no liability for damages, direct or consequential, which may result from the use of AcuteFinder."

This is a free evaluation copy of AcuteFinder, limited only by the maximum number of folders that will be scanned (10,000) and maximum size of files you can delete/move (1 Mb). You can still use the program on a regular basis, to find duplicate files on your computer's disk. You may keep the program as long as you wish for PERSONAL USE without registration, if you find it useful even with these size limits. There is no expiration date for the demo version, but we recommend that you download the latest version on a regular basis.

If you register, the aforementioned size limits no longer apply. Registration is available for a nominal fee and includes upgrade protection for 1, 2 or 5 years.

AcuteFinder is a "shareware program" and is provided at no charge to the user for evaluation. Free trial-key is available by filling out the application form on http://www.acutefinder.com/trial

Feel free to share AcuteFinder with your friends, but please do not give it away altered or as part of another program or system. The essence of "user-supported" software is to provide personal computer users with quality software without high prices, and yet to provide incentive for programmers to continue to develop new products. If you find this program useful and want to use it without size limits, you can make a registration payment of US $14 to Hugmot. See our website, http://www.acutefinder.com/order for details.

The registration fee will license one copy for use on any one computer at any one time. You must treat this software just like a book. An example is that this software may be used by any number of people and may be freely moved from one computer location to another, so long as there is no possibility of it being used at one location while it's being used at another. Just as a book cannot be read by two different persons at the same time.

Commercial users of AcuteFinder must register and pay for their copies of AcuteFinder within 15 days of first use or their license is withdrawn. Reasonably priced site-license arrangements may be made by contacting our sales department at: sales@hugmot.is

You may not give your License key to others and you are not allowed to disassemble or reverse engineer the program.

Anyone distributing AcuteFinder for any kind of remuneration must first contact Hugmot at the address below for authorization. This authorization will be automatically granted to distributors recognized by the (ASP) as adhering to its guidelines for shareware distributors, and such distributors may begin offering AcuteFinder immediately (However Hugmot must still be advised so that the distributor can be kept up-to-date with the latest version of AcuteFinder).

You are encouraged to pass a copy of AcuteFinder along to your friends for evaluation. Please encourage them to register their copy if they find that they can use it. All registered users will receive a copy of the latest version of AcuteFinder, along with the license key.

DEFINITION OF SHAREWARE

Shareware distribution gives users a chance to try software before buying it. If you try a Shareware program and continue using it, you are expected to register. Individual programs differ on details -- some provide all features for a limited time, and some provide limited features without a time limit. With registration, you get

anything from the simple right to continue using the software to an enhanced program with printed manual.

Copyright laws apply to both Shareware and commercial software, and the copyright holder retains all rights, with a few specific exceptions as stated below. Shareware authors are accomplished programmers, just like commercial authors, and the programs are of comparable quality. The main difference is in the method of

distribution. The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group. For example, some authors require written permission before a book publisher may bundle their software onto a CD.

Shareware is a distribution method, not a type of software. You should find software that suits your needs and pocketbook, whether it's commercial or Shareware. The Shareware system makes fitting your needs

easier, because you can try before you buy. And because the overhead is low, prices are low also. Shareware has the ultimate money-back guarantee -- if you don't use the product, you don't pay for it.

Copyright 2004-2007, Hugmot ehf, Iceland - All Rights Reserved


Demo limits and program limits

The FREE Demo version has some size limits, but you can still make good use of the program for personal use. For detailed comparison of features in the free demo, trial-key or registered versions, see the table on www.acutefinder.com/order/

The demo limits are:

· Maximum number of folders scanned = 10,000 (seldom a limiting factor)
· Maximum size of files to delete/move = 1 Mb
· Some configuration options are disabled:
· Search without a checksum
· Keep at least one instance cannot be unchecked
· Warning for delete of program files cannot be unchecked
· CRC cache cannot be saved to disk
· Removal of folders/archives that become empty is disabled
· About info will appear for few seconds during startup

Program limits:

Operation of AcuteFinder is mainly limited by available memory. If CRC cache is stored to disk, it can occupy few megabytes, and log-files can grow fast if details are logged. No other files are written to disk.

AcuteFinder has few known limits:

· Maximum supported file size for normal files = approximately 100 Gb
· Maximum supported file size in archives = 4 Gb
· Maximum number of files in file list = approximately 10,000 which is more of a practical limit due to the time it takes to renumber sets after delete/move/remove.
· AcuteFinder cannot process files using MBCS (Multi-Byte Character Sets) like Japanese. Support for this may be added in future releases.
· AcuteFinder does not support searching in ZIP-archives that are encrypted by AES encryption. The reason: Directory info is also encrypted, and therefore inaccessible unless you have appropriate the password.
· If multiple instances of AcuteFinder are running, the program settings and CRC cache of the last instance to finish will be stored, and thereby overwrite these information from all previous instances.

For more info on errors and bugs, and how to avoid or work around them, see our FAQ-page at: www.acutefinder.com/faq/


Free trial and how to order

If you really want to test-drive AcuteFinder, you can apply for a free 15 days trial-key on www.acutefinder.com/trial and you definitely will become fully convinced that AcuteFinder lives up to its promises!

By registering the program, the demo limits will no longer apply and you will enjoy the full capabilities of the program. Registration is available for only US $14 and includes one year of upgrade protection and free e-mail support. Additional protection is available for nominal fee. When upgrade protection expires, the program works as usual, but you will have to pay for updates.

Place your order for a license key on the website www.acutefinder.com/order and make full use of AcuteFinder's features.

If you want to earn your key, then consider the option to become a beta-tester. See more info in the section Latest version.


Getting started

The easiest way to getting started using AcuteFinder, is to use the Search Wizard. But you can also go right ahead and define your Search criteria the normal way and then press the Find-button.

For a quick demo on how easy it is to use AcuteFinder, see our Flash demo at: www.acutefinder.com/demos/AF_search.htm It also shows how to use the Protect feature to protect "original" files from deletion.

If you find too many duplicates, then try to limit the search by file size or file type. And if you find it intimidating to delete files, you can gain confidence by creating a temporary test folder(s) as a playground to test-drive the program. Then run AcuteFinder on these folders, to experiment with the various options and settings available in the program. Finally, you can always define an archive folder, and move files to it instead of deleting them. That way you have a backup copy to restore, if you later find out that you removed an important file.


Search Wizard

The Search Wizard helps you getting started using AcuteFinder. Just select it from the menu or the toolbar, and this dialog will pop up:

Simply follow the directions, as it will guide you through the search criteria options, step-by-step, and start searching for files accordingly. Getting started couldn't be easier!


Search criteria

When you start AcuteFinder, the search criteria page will show up, with the last settings restored. In order to getting started, you can also use the Search Wizard for easy, step-by-step, guidance.

Simply define your criteria and press the Find-button. The search for duplicate files will then start, and as they are found, they will be added to the list. The search can take several minutes, or even longer, depending on the speed of your computer and the number of folders and files on disk.

Search folders can be added, edited, removed, and moved up/down. Just press the appropriate button at the right-hand side of the folder list. When you add or edit a search folder, a dialog pops up and allows you to either define it manually or pick it from a directory tree. UNC paths, like \\SERVER\MYSHARE\ or \\10.177.25.89\CDRIVE can be used as starting point for search.

You can protect all files found in a specific search folder, from accidental delete. Folders can be Protected/unprotected from the Folder list popup-menu. Just right-click the Folder list and select Protect/unprotect from the menu. A grayed-checkbox (or filled with green in Windows XP, as on the picture above) shows that it will be protected during the next search. Files in that folders will be shown grayed on to resulting list of found files, and will be protected from deletes, but not from moves or any other actions. To unprotect folder again, either check it or select Protect/unprotect again.

File masks can be used to specify certain file types, using masks like *.txt;*.doc. You can also search for files based on name, like Report*.* (where the * and ? have the usual wildcard meaning, i.e. representing a variable string or character, respectively).

By clicking on More search options the Settings dialog will open, with the Search page selected. There you can define whether you want to include hidden files, system folders, or look into self-extracting EXE-files and the like.

Quick pick of file groups:

To search for predefined file types, press the blue question mark button and select one of the options. You can customize this list by editing the text file AcuteFinder_filegroups.txt (be sure to make a backup copy of your changes, since it will be replaced during next update).

Some ideas for search strategies:

Start by searching for large, duplicate files by entering let's say 500 kb as a minimum size and uncheck search in archive files. That way, you can concentrate first on files that will give you the most reward.

Then try to find files that exist both as regular files and are contained in archives like ZIP-files. If a file is found in both places, and it is not in regular use, you should delete it from disk and retain the archived copy, since it most likely takes less disk space.

Next, try to find old files by putting for example 12.31.1999 into Date last modified (the latter field). That way you will find some good, old files that probably would be better kept in archives, or moved to a CD, or some other off-line storage.

Just try various criteria according to your needs, and you will find more duplicates than you could ever dream of!

Working with huge files:

When working with really big files, e.g. greater than 1 Gb, start by unchecking "File checksum" in search options, but tick all other search items (file name, type, date, time). This will speed things up, since calculating CRC for big files can be very time consuming.

The resulting list will give you ideas about how many duplicates do exist, and you might even want to eliminate some of them right away.

Finally, perform another search with "File checksum" activated, and grab a cup of coffee or watch a game while AcuteFinder finds the remaining duplicates.


Save/Load search criteria

To save search criteria and settings for later reuse, simply use the menu option File - Save criteria as and specify the filename you want to use. It will save the folders, checkmarks, file masks, size range and date range, plus all the settings for Search in the Settings dialog.

The settings are stored in INI-file format, and may be edited by a text editor, or created by another application, and used on the command line to create automated processes.

Later, you can load these settings into the program, by selecting File - Load criteria from the menu.

To clear all criteria to defaults and unchecking all selected folders, use File - Clear criteria from the menu. You can clear the folder list by right-clicking it and choosing Clear list from the popup menu.


Search progress

When you have defined your search criteria and pressed the Find-button, the program starts to search for duplicate files. The elapsed time and folder being searched is displayed on the status-line. On the progress dialog you can see how many folders have already been searched and how many duplicate files have been found. How the search progress appears, can be configured in the Settings - Progress dialog. Of course, you can cancel the search by pressing the button on the progress dialog or the stop button on the toolbar or by hitting the Esc key.

When the search completes, a summary report like this one will be displayed, showing various statistics and possible gain in free disk space, if you delete all extra copies of the files found:


Files found

This is the list of all duplicate files found using the search-criteria. You can view the list, sort it by clicking on a field's heading, print the list or export it to a text file. And, most importantly, you can select which files to process and either delete them or move them to an archive folder.

Simply select the files you want to process, by using the mouse and the control or shift keys. Holding down the control key (Ctrl) while clicking on files, allows you to select many individual files. If you want to select a range of files, select the first one, then hold down the Shift key, and select the last one. All files between and including the two, will be highlighted.

After selecting the file(s) you intend to act on, you can choose the operation you want from the toolbar, or from a pop-up menu you can activate by right-clicking on the list.

When files are deleted or moved, you will be warned according to the warning options you selected on the Settings-page.

The operation page in Settings gives you the option to keep at least one instance of a file intact, and to remove folders or archives that become empty during delete or move of files.


Operating on files

You can choose the files that you want to process and perform various operations on the selection. Pick the operation you want from the toolbar or from a pop-up menu you can activate by right-clicking the list. Some items may be hidden or disabled, depending on file type or location.

You can choose one of these operations:

· Explore folder (opens Windows Explorer for the folder)
· Open folder (opens built-in folder browser)
· Open an archive (opens the archive in which the file is stored)
· View file (opens the file with built-in viewer or external program)
· View the file's properties (using Windows property sheet)
· Open file (opens the file by using the associated program)
· Rename file (regular files only)
· Move the file(s) to an archive folder, e.g. for burning to CD
· Remove from list (no reason for further actions)
· Delete file(s). The files are either moved to the Recycle bin or deleted immediately. If a file is stored in an archive, it will be removed from it, but other files in the archive left intact.
· Select all files
· Get a short message on how to select many files
· Copy shortcut to clipboard (full file name including path)
· Copy location to clipboard (only path and name of archive file, if applicable)

How are files deleted?

If you delete files from the list, you have the option to delete them immediately, or via the Recycle bin. This setting is found under the Operations tab in the Settings dialog.

Recovery of deleted files

If you opted to delete files to the Recycle bin, then you can recover files if you change your mind. Usually, you just right-click the Recycle bin on your desktop, and select "Open" or "Explore" to browse recently deleted files. But, since there are many version of Recycle bins available, it is outside of scope of this manual to explain in more detail how it is done. Please refer to the Windows help or the appropriate documentation for more info.


Viewing files

AcuteFinder now has a built-in file viewer, that can be used to view images, text files, RTF-documents and contents of archive files (list of files). You can activate this viewer in various ways: By selecting Auto-view on the toolbar; by choosing View file from the popup-menu or toolbar. Most importantly, you can select the size and position of the Viewer window. For example, if you have a big monitor, you can use it to view images full-size.

When selecting files to be acted upon, you can view each file automatically as you select it. Just check the Auto-view checkbox and configure the Viewer settings as needed.


Export list to text file

This option allows you to export the list of files found to a text file. You can choose from 5 different formats; delimited text file for databases and spreadsheets, web page, XML document, list file and as web page formatted for printing. Also, you can select which fields to export for each output format. You can either export the whole list or info on selected files only.

Press the Next-button to continue and you will be prompted for the appropriate options. Finally, you can either view the file or open it.


The Toolbar

The Toolbar gives you quick access to the most important functions of the program. You can determine how the toolbar looks like, via the View settings. Choose between small or large icons, text or no text, or no toolbar at all. That gives you a total of 5 options, as shown below.

No Toolbar:

Toolbar with small icons:

Toolbar with small icons and text on buttons:

Toolbar with large icons:

Toolbar with large icons and text on buttons:


View settings

You can choose how the program displays its components, by checking the appropriate option under the menu option "View". Select the settings you like the most:


Search options

This page of the Settings dialog allows you to modify how the program will search for duplicates.

Base search on following fields:

Select the fields you want to use when searching for duplicate files. The marked fields, plus file size, must match for both candidates, before they are considered identical. Select at least File Checksum, but by selecting more fields you will speed up the search. On the other hand, the more fields you select, the fewer duplicates will be found.

Other search options:

Select the options you want to activate when searching for duplicates. If you choose to use MD5 hash as a final step when comparing files, the search will take somewhat longer to finish. The default checksum (CRC32) has 32 bits and is quite accurate, since the files also have to be of the same size. It is the standard checksum used in ZIP-archives. By using MD5 hash (128 bits) you can rest assured that the files are really, truly, absolutely, definitely identical.


Exclude files and folders

Here you can list folders that you always want to exclude when searching for duplicate files. During installation, the Windows folder and Program files folder on your computer are added to this list. Hidden folders are never searched in AcuteFinder, since they usually contain sensitive files or configuration options, that should be left intact.

Additionally, you might want to exclude some common program folders, like: C:\Program files, C:\I386, archive folders and the MS Office folder.

You can add a folder to the list by pressing the "Add folder" button and pick the folder you want. You can temporarily remove a folder by unchecking it, or remove it altogether by selecting it and pressing the "Remove" button.


Progress display

On this page of the Settings dialog, you can set various options regarding how the search progress will be displayed. Also, log options allow you to define a log file for permanent record of how the program was used.

Progress on status line:

Select any of the first three items to control how the search progress will be displayed on the status line. If you leave those options unchecked, the search may run a fraction faster, but you will be less informed on its progress.

Show search result dialog:

Check this option to see an information dialog at the end of each search. It will show how many files and folders were scanned, how many files were found, and how much time was spent on checksum calculations.

Cache CRC calculations for faster repeated scans:

Using this option, a file's checksum will only be calculated once during each program run. It will speed up repeated scans considerably, and is relatively safe. If any item regarding a file changes between scans (name, size, timestamp) the checksum will be recalculated.

Store CRC cache on disk for subsequent use:

This option allows you to keep the results of CRC calculations between sessions. It will speed up next scans, especially when working with big files. The cache is stored in the binary file AcuteFinder_cache.dat which will be deleted when this option is not selected or when you choose to do so manually by pressing the Clear cache button.

Log options:

Check these options and enter a file name for log, if you want a permanent record of how the program was used. The log file is a plain text file with a timestamp resolution of one millisecond. Only check the option to Log scanning operations if you are pinpointing an error in your file system, otherwise a large amount of data will be generated. If the log files grows big (over 100 Mb) you will be warned and given the option to clear it.


File list view

This page on the Settings dialog allows you to specify which fields you want to appear on the list of files found.

Use color for compressed or zipped files:

Select this option if you want compressed files to appear in blue color, and archived files in dark-red. These colors give you a visual indication that the files are occupying less space on disk than their original size.

Color file sets for all sort orders:

Check here if you prefer to retain coloring of sets, regardless of sort order. Otherwise, different background colors will only be used when the file list is sorted by Set (the first column).

Use following background colors to group files in same set:

Check here to distinguish each set of files with different background colors. This helps to visually group the files when the list is sorted by set number or file size, but has lesser meaning for other sort orders.

You can change the colors used, by clicking on each color. A dialog will pop up that allows you to pick another color. If you only want two alternating colors, then select the same color for #1 and #3, and another one for #2 and #4.


Operations

The options on this page affect the way file operations are executed.

Keep at least one instance (and remove it from the list):

Check this option to insure that at least one instance of a file will remain on disk. It means that if you select all files in a set and try to delete it, the last remaining instance will not be deleted but simply removed from the list.

It also means that if you select all files in a set but one, then the remaining file will be removed from the list. That's logical, since it is no longer a duplicate file.

Experiment with this option by copying a folder into two temporary folders, and search them for duplicates. Try select all, and delete, and you can see that usually the first instance found in the latter folder, will be preserved.

Delete files to Recycle bin:

Check here if you want AcuteFinder to use the Recycle bin when deleting files. It means that you can recover the file if you change your mind. The settings of the Recycle bin and number and size of files that you delete on your computer, affect when the file will be permanently erased. This setting is highly recommended, but it also means that the disk space taken by the file will not be recovered right away. Should you need this space immediately, then you can right-click on its icon on the desktop and select "Empty Recycle bin". Please note, that using the Recycle bin may slow down the process of deleting many files, considerably.

Remove folders/archives that become empty after delete/move of files:

Select this option if you want AcuteFinder to automatically remove all folders that become empty due to your actions, when you decide to delete or move files. This option is only available for registered users.

Show total disk space reclaimed during the session (on exit):

By checking this option, you will be informed on how much disk space you reclaimed by deleting files during each session. When you exit AcuteFinder you will see a pop up dialog showing the total disk space saved. Quite interesting!

Use internal viewer to open ZIP-files:

When a ZIP-file is opened, an internal viewer will be used if this option is selected. Otherwise, the ZIP-file will be opened either by the helper program you specified for ZIP-files or by using the default ZIP-handing applications as registered by Windows.


Warnings

Here you can define the warning level that AcuteFinder will use when you start operating on the list of files found. The options are self-explanatory. When warnings are displayed for delete/move of read-only files, you get the option to act on individual files, to answer "Yes to all" and cancel the action.

List of program/system file masks:

On this list you can specify file masks that define a file to be either a program or system file. When deleting or moving such a file, a warning is given if the option "Warn when deleting or moving program/system files" is checked. You can add more items to the list by entering a new file mask or modify current items as you wish. For example, you could add all Excel files to this definition by adding the mask *.xl?.

When running in demo-mode, this list and the warning option for programs/system files cannot be disabled or modified.


Viewer

This dialog allows you to configure the settings used for the built-in file viewer. The settings are almost self-explanatory; just experiment with these settings as you use the Auto-view feature of the file list.

Keep viewer window always on top:

Check this option if you want the Viewer window always to be visible, i.e. not hidden by the main-window.

Use HEX-dump for unsupported file types:

This option allows you to see the contents of unsupported files (program files, database files, etc.) in HEX-dump format. Only the first 8 kb of the file will be shown, but it helps you to get some idea of the file's contents.

Auto-view files only if they are smaller than xxx kb:

Here you can specifiy if you want to limit auto-view of files to certain maximum file size. It speeds up processing when you browse the list of found files, but of course you will not be able to see bigger files automatically.

Use zoom-smoothing for images:

This feature applies to images only, and makes them appear a lot smoother. Otherwise, the images can be pretty ragged, especially if they are shrunk down from original size.

Auto-rotate images if they contain orientation info:

Check this option, if you want the built-in viewer to automatically rotate pictures that are taken in portrait mode. Of course the camera must support this option, and store the info to the image file.

Word wrap long lines in textual files:

Use this option to wrap long lines, so their contents can be viewed in the viewer window.

Show line number:

Check here if you want line numbers to appear in the left-side gutter, when viewing text files.

Use URL-highlighting for Internet links:

This option will make internet-links visible and active when viewing text files. Just double click on the link to visit the appropriate page.


Tools

This page of the Settings dialog allows you to define tools for common operations in AcuteFinder, like View file from the pop-up menu or toolbar. Those tools will also be available for quick launch on the main menu, under Tools. The fields on this page are self-explanatory.


Windows Explorer Integration

For easy file maintenance, you can integrate AcuteFinder into the folder menu of Windows Explorer. You can activate it or deactivate, via the Options menu. When active, simply right-click on folder in Windows Explorer, and select Search for duplicates... from the popup menu. AcuteFinder will open up, with that folder listed first and checked. Just review other search criteria and start the Find button.


Enter user name and licence key

Enter user name and license key

If you register the program or apply for a free trial-key, you need to enter your user name and license key to enable the full capabilities of AcuteFinder.

Simply copy the registration message to the clipboard using Ctrl-A and Ctrl-C in your e-mail client. Then select Registration - Enter license key from the main menu, and the details will be filled in automatically. If not, then press the From message button. Alternatively, you can paste each field manually. Finally, press Apply, and if all is fine, AcuteFinder will accept your entry and quit operating in demo-mode. Congratulations and thank you for your support!

Another option (available from version 1.3) is to save the registration message into a text file called AcuteFinder_key.dat and place it in the program folder that you installed AcuteFinder in. Next time you open this dialog, the user name and license key will be grabbed from the file. Just press apply, and you are set.

If you run into problems entering the registration info, please see our Flash-demo (500 kb) at http://www.acutefinder.com/demos/AF_registration.htm since it shows how easy the registration progress really is.


Calculate or verify file's checksum

AcuteFinder can calculate the checksum for any file. Just select Tools - Calculate/verify file checksum from the main menu.

Checksums are commonly used to verify that a file is intact after being downloaded from the Internet. It is very important to do so, especially if you are going to burn a disk image to a CD. It can save you time and frustration, not to mention useless CD's.

Simply select the file you want to check, and enter (or paste) the checksum, if you already have one to verify. When a file is selected, the program looks for MD5sums or SHA1sums text files and picks up the checksum, if it is found. Verifying files is now easier than ever.

Then press the Calculate-button and in a few seconds or up to about 2 minutes for 650 Mb ISO-files, the checksum will be calculated and compared to the checksum you entered. You can also copy the resulting checksum to the clipboard, by pressing the small copy-button on the right.

Comparing two files

You can use this tool to verify if two files are identical or not. Just select the first one and calculate its checksum. The resulting checksum will be copied to known checksum to verify. Then simply select the second file, and press Calculate, and its checksum will be compared to the first one.


Find empty files or folders

This tool helps you to find and remove empty files and folders on your computer. Even though empty items occupy minimal disk space, they increase the clutter on your disks. Just enter the start folder to search (or pick it by pressing the small folder button), specify which options you want, and press Search.

The resulting list is similar to list of duplicate files, except there is only one instance of each empty item, size is zero and there is no CRC. You can perform almost the same operations as on the regular list.

If you have a deep folder structure, empty all the way to the bottom, you may have to run this search several times, until all levels have been removed.


Other tools

By entering the names of various helper programs in the settings dialog, you can open those programs from the main menu. Just select Tools and start the appropriate program from the submenu.


Checksum vs. byte-by-byte

Checksum vs. byte-by-byte comparison

When checking if files are identical, AcuteFinder uses CRC32 or MD5 checksums. It means that each file that is possibly a duplicate of another, is read from the beginning to the end, and a unique number calculated from its contents. This number is stored and used to compare this file's contents to other files to determine if they are truly identical. This method calculates a long integer (32 bits) from the file and is generally considered to be very accurate, since the files also have to be of the same size. CRC32 is the standard checksum used in ZIP-archives. If you choose to use MD5 checksum (128 bits) then it is even more reliable, and you can rest assured that the files are really identical. The possibility of two different files being considered identical, when using CRC32 is about 1 in 4,294,967,296. Using MD5 checksum this figure is 1 in 3,40282 x 1038 i.e. almost astronomical.

Byte-by-byte comparison of files on the other hand, means that the contents of two files to be compared, is read byte-by-byte (in parallel) and checked for equality. AcuteFinder does not offer this option, as some of our competitors do, since it is a much slower method than using checksums. The reason is that some files need to be read more than once, if many candidates exist. Obviously, this method is not the most appropriate for huge files, like multimedia pictures, video and sound. On the plus side, this method is 100% accurate.


Command line options

AcuteFinder offers some options that can be activated from the command line, i.e. when the program is started. These options are used for Windows Explorer integration and can be utilized in bat-files or in conjunction with schedulers to scan regularly for duplicates based on specific search criteria and create reports automatically.

To use these options, simply add the appropriate switch or file/folder name to the command line. The following example will start the program, initiate a search based on the settings in dupdocs.ini and finally print the list of found files and quit. The dupdocs.ini file was created by selecting Save Criteria as... from the File menu.

acutefinder dupdocs.ini /S /P /C

These options are available:

/Ffoldername = Search this folder

Start AcuteFinder, add this folder to the top of the folder list, check it and uncheck all other folders on the list. Used for Windows Explorer integration or quick manual start.

filename.ini = Load settings from file

Load settings from the file. It will replace all basic search criteria read from the registry. Only allowed if folder name is not specified.

/S = Start now

Start search immediately, using either last settings from the registry or settings from a settings file (see previous option)

/Q = Quiet mode

If this options is specified, the program will display fewer warnings and error messages

/P = Print list

This option will print the list of found files when search finishes. It will do so only once and without prompting for print options.

/C = Close after search

Close the program when search and/or print is finished.


Keyboard shortcuts

The following keyboard shortcuts are available in the program. They are mainly for old-timers how are hooked on using shortcuts ... no, seriously, it can be very useful to remember some of them, for repeated tasks.

Shortcut | Action
Alt-A | Add folder to list of folders to search
Ctrl-A | Select all (in file list, archive browser and more)
Ctrl-F | Find files, i.e. start search
Ctrl-O | Load search criteria
Ctrl-P | Print list of found files
Ctrl-S | Open Settings dialog
Ctrl-U | Calculate/verify checksum of a file
Ctrl-W | Start the Search Wizard
F1 | Open Help
F2 | Rename file (in list of found files)
Del | In folder list or Archive browser = Delete selected file(s)
Esc | Cancel search or close dialog


List of files

Following is a list of all files included in the distribution of AcuteFinder. During uninstall, all files in the installation folder will be removed, log-files, the cache-file, and your modifications of groups and hints, if any. In order to preserve your changes, make backup of modified files before uninstall or update.

Filename | Purpose and format
AcuteFinder.exe | AcuteFinder program file
AcuteFinder.chm | Help file in compiled HTML format
AcuteFinder_hints.txt | Getting started hints (in HTML-format)
AcuteFinder_tips.txt | Tips of the Day (for new and updated tips)
AcuteFinder_filegroups.txt | Definitions of file groups, like documents, music, and video files
Readme.htm | Read me information
License.txt | License information
unins000.dat | Uninstall information
AcuteFinder.log | Log file (optional, created when AcuteFinder runs)
AcuteFinder_cache.dat | Cache file (optional, created if user wants to write cache to disk)
Support.htm | Support information
Acutefinder_xxxx | Internet shortcuts (order, trial, version checking etc.)
*.ico | Program icons
printstyle.css | Style sheet for printing of list via web page in a browser


Support for Linux

Even though AcuteFinder is not yet available on the Linux platform, you can use Samba on the Linux system to give Windows workstations access to the files kept on Linux boxes. Simply map folders as drives on a PC workstation or use UNC path for folder to search.

That way, you can find duplicate files on Linux systems, and delete or move them as you would on a PC. Keep in mind that you need proper access rights in order to scan files (read access) and to delete them (write access). Since Linux file names are case sensitive but on Windows they are not, performance may not be as good, since more files will be checked. Also, always use CRC or MD5 checksums due to the different case sensitivity.


Technical details and credits

AcuteFinder is written using the following tools and utilities:

· Delphi rapid application development system from Borland
· File and folder browsing components, and SmartSerialMail from JAM software in Germany
· Various component libraries from TurboPower were used for handling of ZIP-files, checksum calculations, and more. They are now available as open source on SourceForge.net
· Grid components from Bergsoft.net
· Some components from the ElPack4 library made by LMD Innovative
· Progress bars and other components from TMS-software
· Image viewing components from Hicomponents.com
· Components for archive scanning from ZipTV
· Icon editing was done by help of MicroAngelo from Eclipsit
· Most icons are from Glyfx.com
· The help file and the printable User manual were created using Help & Manual and TNT screen capture utility from ECsoftware in Austria
· Installation was created using InnoSetup by Jordan Russell and ISTool by Bjørnar Henden
· HomeSite from MacroMedia, TopStyle from BradSoft.com and PicturePublisher from Corel were used for web design
· UPX (Ultimate Packer for eXecutables) by Markus F.X.J. Oberhumer & Laszlo Molnar
· Database used for web usage tracking and registration of downloads, is mySQL from mySQL AB
· TurboDemo was used to create interactive demonstrations for our website

All these tools are highly recommended, of course!


Recommended tools

Through the years, we have grown accustomed to various tools for file and disk management, many of which function very well with AcuteFinder. Some of them are listed below, along with a short description. All those tools are highly recommended and worth their asking price many times over.

· WinZip for handling of file archives, like ZIP-files. Undoubtedly, the best of the breed in this category.
· ExamDiff from PrestoSoft to compare folders and files
· Hex Workshop from BreakPoint software for viewing and editing files in hex mode
· UltraEdit-32 from IDM Computer Solutions for editing of text documents
· IrfanView by Irfan Skiljan for viewing of image files
· Xplorer2 from Zabkat.com for folder comparison, super file finder and a lot more
· Diskeeper and Undelete from Diskeeper Corporation software, to defragment disks and to recover deleted files
· Norton Utilities and Norton AntiVirus from Symantec
· F-prot virus scanner from FRISK Software International

On our website, www.acutefinder.com, you will find a more details about these programs, and other programs that we recommend to all serious PC users.


Check for updates

To check for updates to AcuteFinder, select Check for updates from the help menu. A web page will be shown, with information about your current version, the latest version and if your upgrade protection is still valid for that version. Also, instructions on how to download and install the update will be provided. Finally, optional files for download will be listed.

The previous method of using the GetUpdate program has been discontinued. This means a smaller installation file and less space used on your system. Support for update checking using the GetUpdate method will be in place for the next few years, while old versions of AcuteFinder are gradually being phased out.


On-line support

On our web site www.acutefinder.com you will find many useful hints and suggestions on using AcuteFinder. Answers to frequently asked questions, new versions, error reports, and much more is available to help you get the most out of AcuteFinder.

If you need support, fill out the form at www.acutefinder.com/support and enter an alternate e-mail address or phone number if possible, so we have more options to get back to you. SPAM-filters sometimes prevent our reply to reach your inbox. All suggestions, comments and testimonials are highly appreciated.

______________________________________________________________

Contact info:

Hugmot ehf

Skipholti 29

IS-105 Reykjavik

ICELAND

Tel. +354-562-3740

Email: sales@hugmot.is

Web sites: www.acutefinder.com and www.hugmot.is

______________________________________________________________